Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteCatalogInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCatalogInfo

extends java.rmi.Remote

Interface `RemoteCatalogInfo` contains information of a catalog in the server.

Since:
  version 8

Method Summary
`boolean` | `canCreateReport()` Test whether the resource path maps can create new report.
`java.lang.String[]` | `getAllDataSource()` Return user info of the catalog specified catalog datasource.
`java.util.Vector` | `getCatConnectionInfos()` Return DB connection info of the catalog.

Method Detail

### getCatConnectionInfos

    java.util.Vector getCatConnectionInfos()
                                           throws java.rmi.RemoteException

  Return DB connection info of the catalog.

  Returns:
    DB connection info of the catalog. The Vector cantains CatConnectionInfo objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `java.rmi.RemoteException`
  See Also:
    `CatConnectionInfo`

### getAllDataSource

    java.lang.String[] getAllDataSource()
                                        throws java.rmi.RemoteException

  Return user info of the catalog specified catalog datasource.

  Returns:
    DB connection info of the catalog. The String[] cantains user and password.
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `java.rmi.RemoteException`

### canCreateReport

    boolean canCreateReport()
                            throws java.rmi.RemoteException

  Test whether the resource path maps can create new report.

  Returns:
    whether the resource path maps can create new report.
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD